include $(TOPDIR)/rules.mk

PKG_NAME:=cthulhu-crun
PKG_VERSION:=0.1
PKG_RELEASE:=1

PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://gitlab.com/prpl-foundation/lcm/modules/cthulhu-crun
PKG_SOURCE_DATE:=2023-01-20
PKG_SOURCE_VERSION:=8c67f8d82cf7d6783cd5827a4758ff766ad56d43
#PKG_MIRROR_HASH:=88f1628d8e3d7cfcba687d901ef070ddde80e77c42c0944b49543149d962761b

PKG_BUILD_DEPENDS:=crun

include $(INCLUDE_DIR)/package.mk

define Package/cthulhu-crun
  CATEGORY:=Consult Red
  SUBMENU:=Modules
  TITLE:=Cthulhu module for Crun
  DEPENDS+= +crun +libamxc +libamxj +libamxm +libamxp +libcthulhu +libsahtrace +libocispec
endef

define Package/cthulhu-crun/description
  Module which provides Crun support as a backend for Cthulhu
endef

define Build/Compile
        $(call Build/Compile/Default, STAGINGDIR=$(STAGING_DIR))
endef

define Build/Install
        $(call Build/Install/Default, install INSTALL=install D=$(PKG_INSTALL_DIR) DEST=$(PKG_INSTALL_DIR) CONFIGDIR=$(STAGING_DIR) PV=$(PKG_VERSION) PKG_CONFIG_LIBDIR=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin)
endef


define Package/cthulhu-crun/install
        $(CP) $(PKG_INSTALL_DIR)/* $(1)/
endef

$(eval $(call BuildPackage,$(PKG_NAME)))
